Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.client.xacml
Class XACMLTreeModel

    java.lang.Object
      org.exist.client.xacml.XACMLTreeModel

All Implemented Interfaces:
  NodeChangeListener, javax.swing.tree.TreeModel

public class XACMLTreeModel
extends java.lang.Object
implements NodeChangeListener, javax.swing.tree.TreeModel

XACML (exactly one) | --Top-level PolicySet (zero or more) | --Target (exactly one, may be empty) | --Policy (zero or more) | --Target (exactly one, may be empty) | --Rule (zero or more) | --Target (exactly one, may be empty) | --Condition (exactly one, may be empty)

Constructor Summary
`XACMLTreeModel(RootNode root)`

Method Summary
`void` | `addTreeModelListener(javax.swing.event.TreeModelListener listener)`
`void` | `commit()`
`java.lang.Object` | `getChild(java.lang.Object parent, int index)`
`int` | `getChildCount(java.lang.Object parent)`
`int` | `getIndexOfChild(java.lang.Object parent, java.lang.Object child)`
`static javax.swing.tree.TreePath` | `getPathToNode(XACMLTreeNode node)`
`java.lang.Object` | `getRoot()`
`boolean` | `hasUnsavedChanges()`
`boolean` | `isLeaf(java.lang.Object parent)`
`void` | `nodeAdded(XACMLTreeNode node, int newIndex)`
`void` | `nodeChanged(XACMLTreeNode node)`
`void` | `nodeRemoved(XACMLTreeNode removedNode, int oldChildIndex)`
`void` | `removeTreeModelListener(javax.swing.event.TreeModelListener listener)`
`void` | `revert()`
`void` | `valueForPathChanged(javax.swing.tree.TreePath path, java.lang.Object newValue)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XACMLTreeModel

    public XACMLTreeModel(RootNode root)

Method Detail

### getRoot

    public java.lang.Object getRoot()

  Specified by:
    `getRoot` in interface `javax.swing.tree.TreeModel`

### getChildCount

    public int getChildCount(java.lang.Object parent)

  Specified by:
    `getChildCount` in interface `javax.swing.tree.TreeModel`

### isLeaf

    public boolean isLeaf(java.lang.Object parent)

  Specified by:
    `isLeaf` in interface `javax.swing.tree.TreeModel`

### getChild

    public java.lang.Object getChild(java.lang.Object parent,
                                     int index)

  Specified by:
    `getChild` in interface `javax.swing.tree.TreeModel`

### getIndexOfChild

    public int getIndexOfChild(java.lang.Object parent,
                               java.lang.Object child)

  Specified by:
    `getIndexOfChild` in interface `javax.swing.tree.TreeModel`

### valueForPathChanged

    public void valueForPathChanged(javax.swing.tree.TreePath path,
                                    java.lang.Object newValue)

  Specified by:
    `valueForPathChanged` in interface `javax.swing.tree.TreeModel`

### addTreeModelListener

    public void addTreeModelListener(javax.swing.event.TreeModelListener listener)

  Specified by:
    `addTreeModelListener` in interface `javax.swing.tree.TreeModel`

### removeTreeModelListener

    public void removeTreeModelListener(javax.swing.event.TreeModelListener listener)

  Specified by:
    `removeTreeModelListener` in interface `javax.swing.tree.TreeModel`

### hasUnsavedChanges

    public boolean hasUnsavedChanges()

### revert

    public void revert()

### commit

    public void commit()

### nodeChanged

    public void nodeChanged(XACMLTreeNode node)

  Specified by:
    `nodeChanged` in interface `NodeChangeListener`

### nodeAdded

    public void nodeAdded(XACMLTreeNode node,
                          int newIndex)

  Specified by:
    `nodeAdded` in interface `NodeChangeListener`

### nodeRemoved

    public void nodeRemoved(XACMLTreeNode removedNode,
                            int oldChildIndex)

  Specified by:
    `nodeRemoved` in interface `NodeChangeListener`

### getPathToNode

    public static javax.swing.tree.TreePath getPathToNode(XACMLTreeNode node)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.